Spend

This API applies the calculated operations from the spend-calculate API to a wallet and spends points from a customer's points account. This creates an active Wallet Transaction in the wallet found by the identity passed into the request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

JSON Payload

location
object
identity
object
string

A unique transaction reference which will be applied to the created wallet transaction.

boolean
Defaults to false

Optional boolean flag, allowing the calling application to instruct AIR to lock verified Accounts. If provided as true no operations (e.g. spending points or redeeming accounts) will be performed until you Settle the transaction, otherwise operations will be performed.

string

The reference of the open transaction to link to as the parent of this spend transaction.

spendAdjudicationResults
object
options
object
transactionDetails
object

Key-Value object that will appear in the transaction details of any account transaction created as part of this request.
Please note: In case the same key is defined in the property accountTransactionDetails on unit config, the Unit accountTransactionDetails will overwrite the value of the same key defined on this entry.
Key Name and Value length should be less then 255.

meta
object

Key-Value object that will appear in the Wallet Transaction created. Note: You will only see this in the response if you have showWalletTransactionMeta enabled in your posConnect responseFilters config. Key name and key values should be less then 255 characters.

Headers
string
enum
Defaults to ''

This request HTTP header advertises which content encoding (usually a compression algorithm) the calling application is able to understand. The server selects one of the proposals, use it and informs the client of its choice with the Content-Encoding Response header. Currently supported gzip and deflate. Please note if this request header is not present, no compression will be used.

Allowed:
string
enum
Defaults to close

This general HTTP header controls (or rather influences) whether the network connection stays open after the current request finishes. If the sent value is keep-alive, the connection should stay in a special state, allowing to be reused for subsequent requests to the same server. Please note these connections will be closed after reaching timeout threshold controlled by EES server (usually after 5 seconds).

Allowed:
string
Defaults to application/json

Standard HTTP header to inform EES API what type of content was passed in request payload

string
required

Client ID, provided by EES during on-boarding. Please note: the authentication mechanic requires the receipt of the full payload so any headers that would chunk the request up, such as transfer-encoding: chunked could potentially cause authentication failures.

string
required

Request Authentication Hash, calculated by concatenating Request URI Path with API prefix, Request Query String(s) if applicable, Request Payload if applicable and Client Secret. Please note: the authentication mechanic requires the receipt of the full payload so any headers that would chunk the request up, such as transfer-encoding: chunked could potentially cause authentication failures.

string

Optional Unique Reference for the API Request (Transaction) within the calling company

string

Optional header provided by the calling application for EES AIR to identify what was the external Subsystem ID / Name. Please note this header is not essential for AIR to process a Request, this header and its value will be intercepted by AIR and will show up in Wallet Event Notifications, if applicable.

string

Optional header(s) provided by the calling application to EES AIR. Please note a) this header name has to follow pattern X-CUSTOM-* (i.e. X-CUSTOM-EMAIL) b) this header is not essential for AIR to process a Request, this header and its value will be intercepted by AIR and will show up in Wallet Event Notifications, if applicable.

Responses

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json